## NAME

r.his - Produces a color image by combining hue, intensity, and saturation (his) values from user-specified input raster map layers.
(GRASS Raster Program)

## SYNOPSIS

r.his
r.his help
r.his [-on] h_map=name [i_map=name] [s_map=name] r_map=name g_map=name b_map=name

## DESCRIPTION

his stands for hue, intensity, and saturation. This program produces red, green and blue raster map layers providing a visually pleasing combination of hue, intensity, and saturation values from two or three user-specified raster map layers.

The human brain automatically interprets the vast amount of visual information available according to basic rules. Color, or hue, is used to categorize objects. Shading, or intensity, is interpreted as three-dimensional texturing. Finally, the degree of haziness, or saturation, is associated with distance or depth. This program allows data from up to three raster map layers to be combined into a color image (in the form of separate red, green and blue raster map layers) which retains the original information in terms of hue, intensity, and saturation.

## OPTIONS

This program can be run non-interactively or interactively. It will run non-interactively if the user specifies on the command line the name of a map containing hue values (h_map), and the name(s) of map(s) containing intensity values (i_map) and/or saturation values (s_map), along with the names of the output maps (r_map, g_map and b_map).

Alternately, the user can run the program interactively by typing r.his without naming parameter values on the command line. In this case, the program will prompt the user for parameter values using the standard GRASS parser interface.

### Flags:

-o
  Overwrite output maps.
-n
  Respect NULL values while drawing

### Parameters:

h_map=name
  Name of input raster map layer to be used for HUE values.
i_map=name
  Name of input raster map layer to be used for INTENSITY values.
s_map=name
  Name of input raster map layer to be used for SATURATION values.
r_map=name
  Name of output raster map layer to be used for RED values.
g_map=name
  Name of output raster map layer to be used for GREEN values.
b_map=name
  Name of output raster map layer to be used for BLUE values.

While any raster map layer can be used to represent the hue information, map layers with a few very distinct colors work best. Only raster map layers representing continuously varying data like elevation, aspect, weights, intensities, or amounts can suitably be used to provide intensity and saturation information.

For example, a visually pleasing image can be made by using a watershed map for the hue factor, an aspect map for the intensity factor, and an elevation map for saturation. (The user may wish to leave out the elevation information for a first try.) Ideally, the resulting image should resemble the view from an aircraft looking at a terrain on a sunny day with a bit of haze in the valleys.

## THE PROCESS

Each map cell is processed individually. First, the working color is set to the color of the corresponding cell in the map layer chosen to represent HUE. Second, this color is multiplied by the red intensity of that cell in the INTENSITY map layer. This map layer should have an appropriate gray-scale color table associated with it. You can ensure this by using the color manipulation capabilities of d.display, d.colors or r.colors. Finally, the color is made somewhat gray-based on the red intensity of that cell in the SATURATION map layer. Again, this map layer should have a gray-scale color table associated with it.

## NOTES

The name is misleading. The actual conversion used is

      H.i.s + G.(1-s)

    where

      H   is the R,G,B color from the hue map
      i   is the red value from the intensity map
      s   is the red value from the saturation map
      G   is 50% gray (R = G = B = 0.5)

Either (but not both) of the intensity or the saturation map layers may be omitted. This means that it is possible to produce output images that represent combinations of his, hi, or hs. The separate red, green and blue maps can be displayed on the graphics monitor using d.rgb, or combined into a composite RGB layer using i.composite. Users wishing to simply display an his composite image without actually generating any layers should use the program d.his.

## SEE ALSO

d.his, d.colormode, d.colors, d.colortable, d.display, d.rgb, i.composite, r.colors, blend.sh, i.his.rgb, i.rgb.his, hsv.rgb.sh, rgb.hsv.sh, parser

## AUTHOR

Glynn Clements (based upon d.his)

Last changed: $Date: 2002/06/16 15:29:18 $